/**
 * @file 	CharacteristicFunction.java
 * 
 * @date 	Jan 15, 2005
 * @author 	Alexandre Bouchard
 */
package ca.mcgill.lmp.util.functions;

import ca.mcgill.lmp.MeasurableFunction;
import ca.mcgill.lmp.MeasurableSet;
import ca.mcgill.lmp.State;

/**
 * 
 */
public class CharacteristicFunction implements MeasurableFunction
{
    /**
     * Comment for <code>E</code>
     */
    private MeasurableSet E;
    
    /**
     * @param E
     */
    public CharacteristicFunction(MeasurableSet E)
    {
        this.E = E;
    }

    /**
     * @param s
     * @return
     */
    public double evaluateAt(State s)
    {
        if (E.contains(s))
        {
            return 1.0;
        }
        else
        {
            return 0.0;
        }
    }
}
