/**
 * @file	Projection.java
 * 
 * @date	Jan 19, 2005
 * @author	Alexandre Bouchard
 */
package ca.mcgill.lmp.util.functions;

import ca.mcgill.lmp.MeasurableFunction;
import ca.mcgill.lmp.State;
import ca.mcgill.lmp.util.RnState;

/**
 * 
 *
 */
public class Projection implements MeasurableFunction
{
    private int index;
    
    public Projection(int index)
    {
        this.index = index;
    }

    /**
     * @param s
     * @return
     */
    public double evaluateAt(State s)
    {
        RnState state = (RnState) s;
        return state.getCoordinate(index);
    }

}
